hdbc (2.4.0.4-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 01 Sep 2023 20:27:02 +0300

hdbc (2.4.0.4-1) unstable; urgency=medium

  * New upstream release (Closes: #1013559)
  * Declare compliance with Debian policy 4.6.1

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 03 Jul 2022 15:52:56 +0300

hdbc (2.4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 16 Jun 2020 20:51:24 -0400

hdbc (2.4.0.2-4) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:51 +0300

hdbc (2.4.0.2-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:26:59 +0300

hdbc (2.4.0.2-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:12 -0400

hdbc (2.4.0.2-1) unstable; urgency=medium

  * New upstream release
  * Drop newer-time patch.
    Obsoleted by upstream changes.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 10 Sep 2017 15:23:46 -0700

hdbc (2.4.0.1-6) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:16 -0400

hdbc (2.4.0.1-5) experimental; urgency=medium

  * Patch to build with newer time.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 14:59:16 -0400

hdbc (2.4.0.1-4) experimental; urgency=medium

  * Disable building of "runtests".

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 11:44:06 -0400

hdbc (2.4.0.1-3) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 01:43:30 -0400

hdbc (2.4.0.1-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:21 -0500

hdbc (2.4.0.1-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:11 +0200

hdbc (2.4.0.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:50 +0200

hdbc (2.4.0.0-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:56 +0100

hdbc (2.4.0.0-1) unstable; urgency=medium

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout
  * Fix Homepage URL

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 02 Jun 2014 08:46:03 -0400

hdbc (2.3.1.2-3) unstable; urgency=low

  * Enable compat level 9
  * Bump standards version to 3.9.4

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:42 +0200

hdbc (2.3.1.2-2) experimental; urgency=low

  * Build-depend on libghc-convertible-doc rather than the transitional
    haskell-convertible-doc.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Apr 2013 11:00:26 +0100

hdbc (2.3.1.2-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this package is built
    against experimental
  * Add watch file
  * Change Vcs headers to Darcs
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Jan 2013 17:08:12 +0100

hdbc (2.3.1.1-1) unstable; urgency=low

  * New upstream version.
    - Drop 0001-Support-for-time-1.2.0.3.patch

 -- Clint Adams <clint@debian.org>  Sun, 12 Feb 2012 17:50:49 -0500

hdbc (2.2.6-4) unstable; urgency=low

  * [f900939] Add missing haskell-devscripts substvars (particularly
    haskell:Provides)
  * [d5c564b] Remove duplicate BD on haddock

 -- Iain Lane <laney@debian.org>  Mon, 30 May 2011 15:44:22 +0100

hdbc (2.2.6-3) unstable; urgency=low

  * [1646918] s/ghc6/ghc/ for GHC 7 transition
  * [03f9825] Standards-Version → 3.9.2, no changes required
  * [5ebe695] Cherry-pick upstream patch to support time 1.2.0.3 available in GHC 7
  * [ba9f2f7] Add missing utf8-string BDs

 -- Iain Lane <laney@debian.org>  Sat, 28 May 2011 11:03:23 +0100

hdbc (2.2.6-2) unstable; urgency=low

  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 23:13:58 -0300

hdbc (2.2.6-1) unstable; urgency=low

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 23 Apr 2010 21:42:09 -0500

hdbc (2.2.3-2) unstable; urgency=low

  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 17 Mar 2010 19:53:21 -0300

hdbc (2.2.3-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for GHC 6.12.
  * Drop dep on utf8-string as it's part of GHC 6.12.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Feb 2010 14:28:22 -0600

hdbc (2.2.0-2) unstable; urgency=low

  * Convert to using hlibrary.mk (Closes: #556815)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Dec 2009 18:22:51 +0100

hdbc (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Switch to team maintenance.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 02 Nov 2009 16:39:33 -0600

hdbc (2.1.0-3) unstable; urgency=low

  * Rebuild for newer utf8-string and Makefile fix.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Jul 2009 14:57:45 -0500

hdbc (2.1.0-2) unstable; urgency=low

  * Rebuild for GHC 6.10

 -- John Goerzen <jgoerzen@complete.org>  Fri, 06 Mar 2009 08:06:57 -0600

hdbc (2.1.0-1) unstable; urgency=low

  * Adjust default String conversions of date/time types to support
    fractional parts of seconds.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 04 Feb 2009 10:50:47 -0600

hdbc (2.0.0-1) unstable; urgency=low

  * New release:
    + Native support for the new exception handling in GHC
      6.10, wich CPP conditional compilation to continue supporting the
      old-style exceptions in GHC 6.8 and Hugs.

    + Now supports converting Data.Time.* types to/from SqlValue.

    + Major expansion of SqlValue to be able to carry date/time data to/from
      databases in terms of Data.Time.* types.

    + Rework how SqlType typeclass works.  Replace fromSql with
      safeFromSql that returns Left on impossible conversions instead
      raising an exception.  Wrote new fromSql that provides old behavior by
      raising the error from safeFromSql in the old manner.  Greatly
      enhanced many error messages throughout SqlType instances.

    + Moved SqlType and SqlValue code from Database.HDBC.Satement to
      Database.HDBC.SqlValue.  Database.HDBC.Statement continues to
      re-export them for compatibility, but this is deprecated.
      Database.HDBC and Database.HDBC.Types both continue to re-export them,
      and this is not deprecated.

    + Old System.Time APIs are retained for now, but marked deprecated.
      The above API changes are designed to be non-invasive in most cases,
      but may require code change in some extremely rare corner cases.

    + Fixes for Haddock formatting.

    + Expansion of Haddock docs.

  * Noting addition of profiling libraries.  Closes: #473520, #509848.

  * No longer a Debian-native package due to problems with dh_haskell_depends.

  * Adding doc package.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 30 Jan 2009 14:22:38 -0600

hdbc (1.1.6.2) unstable; urgency=high

  * Rebuild for new GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 16:07:43 -0600

hdbc (1.1.6.1) unstable; urgency=low

  * Added dh_haskell_depends.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 30 Dec 2008 08:58:48 -0600

hdbc (1.1.6.0) unstable; urgency=low

  * Applied GHC 6.10 compatibility patch from Brian Bloniarz
  * Accept '0' and '1' as Bools

 -- John Goerzen <jgoerzen@complete.org>  Tue, 30 Dec 2008 08:49:28 -0600

hdbc (1.1.5.0) unstable; urgency=low

  * Added missing ConnWrapper(..) to exports.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 May 2008 14:14:27 -0500

hdbc (1.1.4.0) unstable; urgency=low

  * Updates for GHC 6.8.x.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Jan 2008 05:07:31 -0600

hdbc (1.1.3.0) unstable; urgency=low

  * New release of HDBC.
  * [API] Added strict versions of fetchAll* and related functions.
    Specific new functions are: quickQuery', fetchAllRows',
    fetchAllRowsAL', fetchAllRowsMAP', sFetchAllRows'.  This does
    not impact database drivers.  No user impact.
  * [API] Changed spec to make the following functions strict
    in their result: describeResult, getTables, describeTable.
    No code change in HDBC.  Potential code change in backends.
    No anticipated user impact.
  * Add SqlByteString constructor to SqlValue.  Patch from
    Toby Allsopp.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 31 Oct 2007 04:26:39 -0500

hdbc (1.1.2.2) unstable; urgency=low

  * Build doc all the time.  Closes: #427977.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Jun 2007 05:24:17 -0500

hdbc (1.1.2.1) unstable; urgency=low

  * Update for newer GHC 6.6.1.  Closes: #422290, #426127.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Jun 2007 06:58:02 -0500

hdbc (1.1.2.0) unstable; urgency=low

  * Fix export of wrapped connections.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 04:28:20 -0500

hdbc (1.1.1.0) unstable; urgency=low

  * New connection wrapping features.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 04:10:54 -0500

hdbc (1.1.0.0) unstable; urgency=low

  * New API thanks to Peter Thiemann.
  * Fixed fromSql thanks to patch from Marco Tulio Gontijo e Silva.
    Closes: #399858.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 May 2007 05:21:38 -0500

hdbc (1.0.1.2) unstable; urgency=low

  * Updated for GHC 6.6.  Closes: #393805.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 05:12:31 -0500

hdbc (1.0.1.1) unstable; urgency=low

  * Rebuild with non-broken tar.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 22 Jul 2006 07:19:54 -0500

hdbc (1.0.1) unstable; urgency=low

  * Now accept T and F for True and False from the underlying database
    layer -- compatibility with PostgreSQL

 -- John Goerzen <jgoerzen@complete.org>  Sat, 22 Jul 2006 07:11:08 -0500

hdbc (1.0.0) unstable; urgency=low

  * Blessing this version as 1.0.0.  Whee!

 -- John Goerzen <jgoerzen@complete.org>  Thu, 29 Jun 2006 18:23:03 -0500

hdbc (0.99.3) unstable; urgency=low

  * [bringert] Better error messages when fromSql encounters
    data it doesn't understand
  * Rebuilt for GHC 6.4.2

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 15:00:09 -0500

hdbc (0.99.2) unstable; urgency=low

  * New call dbTransactionSupport

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Mar 2006 04:57:00 -0600

hdbc (0.99.1) unstable; urgency=low

  * Release 0.99.1.  New features include generalized memory
    management support and column metadata.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 27 Mar 2006 18:54:24 -0600

hdbc (0.99.0) unstable; urgency=low

  * Initial Release.  Closes: #344913.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Dec 2005 10:22:53 -0600
